> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-stage.shipbob.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server.

#     Get All Inventory Levels Grouped By Lot


GET https://sandbox-api.shipbob.com/Experimental/inventory-level/lots

    Retrieves inventory levels for all inventory items grouped by lot number. Enables tracking of inventory across multiple lots, including expiration dates and manufacturing batch information.


Reference: https://developer-stage.shipbob.dev/experimental/api/inventory/get-all-inventory-levels-grouped-by-lot

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Request

### Query parameters

- `LocationId` (string, optional)
- `SearchBy` (string, optional)
- `InventoryIds` (string, optional)
- `IsActive` (boolean, optional)
- `IsDigital` (boolean, optional)
- `PageSize` (string, optional)
- `SortBy` (string, optional)

## Response

### 200

OK

- `first` (string, optional, nullable)
- `items` (list of object, optional, nullable)
  - `inventory_id` (integer, optional)
  - `lots` (list of object, optional, nullable)
    - `awaiting_quantity` (integer, optional)
    - `committed_quantity` (integer, optional)
    - `damaged_quantity` (integer, optional)
    - `exception_quantity` (integer, optional)
    - `fulfillable_quantity` (integer, optional)
    - `in_fulfillment_quantity` (integer, optional)
    - `internal_transfer_quantity` (integer, optional)
    - `locations` (list of object, optional, nullable)
      - `awaiting_quantity` (integer, optional)
      - `committed_quantity` (integer, optional)
      - `damaged_quantity` (integer, optional)
      - `exception_quantity` (integer, optional)
      - `fulfillable_quantity` (integer, optional)
      - `in_fulfillment_quantity` (integer, optional)
      - `internal_transfer_quantity` (integer, optional)
      - `location_id` (integer, optional)
      - `name` (string, optional, nullable)
      - `on_hand_quantity` (integer, optional)
      - `quarantine_quantity` (integer, optional)
      - `userId` (integer, optional)
    - `lot_date` (datetime, optional, nullable)
    - `lot_number` (string, optional, nullable)
    - `on_hand_quantity` (integer, optional)
    - `quarantine_quantity` (integer, optional)
    - `userId` (integer, optional)
  - `name` (string, optional, nullable)
  - `sku` (string, optional, nullable)
  - `userId` (integer, optional)
- `last` (string, optional, nullable)
- `next` (string, optional, nullable)
- `prev` (string, optional, nullable)

## Examples

**Response**

```json
{
  "first": "string",
  "items": [
    {
      "inventory_id": 0,
      "lots": [
        {
          "awaiting_quantity": 0,
          "committed_quantity": 0,
          "damaged_quantity": 0,
          "exception_quantity": 0,
          "fulfillable_quantity": 0,
          "in_fulfillment_quantity": 0,
          "internal_transfer_quantity": 0,
          "locations": [
            {
              "awaiting_quantity": 0,
              "committed_quantity": 0,
              "damaged_quantity": 0,
              "exception_quantity": 0,
              "fulfillable_quantity": 0,
              "in_fulfillment_quantity": 0,
              "internal_transfer_quantity": 0,
              "location_id": 0,
              "name": "string",
              "on_hand_quantity": 0,
              "quarantine_quantity": 0,
              "userId": 0
            }
          ],
          "lot_date": "2019-08-24T14:15:22+00:00",
          "lot_number": "string",
          "on_hand_quantity": 0,
          "quarantine_quantity": 0,
          "userId": 0
        }
      ],
      "name": "string",
      "sku": "string",
      "userId": 0
    }
  ],
  "last": "string",
  "next": "string",
  "prev": "string"
}
```

**SDK Code**

```python default
import requests

url = "https://sandbox-api.shipbob.com/Experimental/inventory-level/lots"

querystring = {"SearchBy":"string","InventoryIds":"InventoryIds","IsActive":"true","IsDigital":"true","SortBy":"string"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript default
const url = 'https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/Experimental/inventory-level/lots?SearchBy=string&InventoryIds=InventoryIds&IsActive=true&IsDigital=true&SortBy=string")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```